# Serialized Form

## Package nl.tudelft.simulation.dsol.animation.gis

### Class nl.tudelft.simulation.dsol.animation.gis.GisObject extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### attributes

    String[] attributes

the attributes.

#### shape

    Object shape

the shape, which is either a Point2D or a Shape.

### Class nl.tudelft.simulation.dsol.animation.gis.GraphicsException extends Exception implements Serializable

serialVersionUID:
  1L

### Class nl.tudelft.simulation.dsol.animation.gis.SerializablePath extends Path2D.Float implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException

Reads a serialized object from a stream.

Throws:
  `IOException` - on IO Exception

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialized an object to the stream.

Throws:
  `IOException` - on IO failure

### Class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D extends Rectangle2D implements Serializable

serialVersionUID:
  20201015L

### Class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D.Double extends SerializableRectangle2D implements Serializable

serialVersionUID:
  20201015L

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException

Read a serialized object from the stream.

Throws:
  `IOException` - on exception

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object to the stream.

Throws:
  `IOException` - on exception

### Serialized Fields

#### rectangle

    Rectangle2D.Double rectangle

the rectangle.

### Class nl.tudelft.simulation.dsol.animation.gis.SerializableRectangle2D.Float extends SerializableRectangle2D implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(ObjectInputStream in)
                     throws IOException

Read a serialized object from the stream.

Throws:
  `IOException` - on IOException

#### writeObject

    private void writeObject​(ObjectOutputStream out)
                      throws IOException

Serialize the object to the stream.

Throws:
  `IOException` - on IOException

### Serialized Fields

#### rectangle

    Rectangle2D rectangle

the rectangle.

## Package nl.tudelft.simulation.dsol.animation.gis.D2

### Class nl.tudelft.simulation.dsol.animation.gis.D2.GisRenderable2D extends Object implements Serializable

serialVersionUID:
  20200108L

### Serialized Fields

#### bounds

    Bounds3d bounds

the bounds of the map.

#### cachedExtent

    Rectangle2D cachedExtent

the cached extent.

#### cachedImage

    BufferedImage cachedImage

the image cached image.

#### cachedScreenSize

    Dimension cachedScreenSize

the cached screenSize.

#### context

    ContextInterface context

the context for (un)binding.

#### location

    DirectedPoint3d location

the location of the map.

#### logger

    SimLogger logger

the logger.

#### map

    GisMapInterface map

the map to display.

## Package nl.tudelft.simulation.dsol.animation.gis.io

## Package nl.tudelft.simulation.dsol.animation.gis.map

### Class nl.tudelft.simulation.dsol.animation.gis.map.AbstractAttribute extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### font

    Font font

the default font to use.

#### fontColor

    Color fontColor

the font color.

#### layer

    LayerInterface layer

the layer of this attribute.

#### maxScale

    double maxScale

the maximumScale.

#### minScale

    double minScale

the minimumScale.

#### position

    ScreenPosition position

the position of the attribute.

### Class nl.tudelft.simulation.dsol.animation.gis.map.Attribute extends AbstractAttribute implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### angleColumn

    int angleColumn

the angleColumn.

#### mode

    short mode

the mode of the angle.

#### valueColumn

    int valueColumn

the valueColumn.

### Class nl.tudelft.simulation.dsol.animation.gis.map.GisMap extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### allLayers

    List<LayerInterface> allLayers

the total list of layers of the map.

#### drawBackground

    boolean drawBackground

draw the background?

#### extent

    SerializableRectangle2D extent

the extent of the map.

#### image

    MapImageInterface image

the mapfileImage.

#### layerMap

    Map<String,​LayerInterface> layerMap

the map of layer names to layers.

#### name

    String name

the name of the mapFile.

#### same

    boolean same

same set to false after layer change.

#### units

    MapUnits units

the map units.

#### visibleLayers

    List<LayerInterface> visibleLayers

the visible layers of the map.

### Class nl.tudelft.simulation.dsol.animation.gis.map.Layer extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### attributes

    List<? extends AttributeInterface> attributes

the attributes of the layer.

#### dataSource

    DataSourceInterface dataSource

the dataSource to use.

#### fillColor

    Color fillColor

the fillColor of the layer.

#### maxScale

    int maxScale

the maxScale.

#### minScale

    int minScale

the minScale.

#### name

    String name

the name of the layer.

#### outlineColor

    Color outlineColor

the outlineColor.

#### status

    boolean status

the status.

#### transform

    boolean transform

whether to transform.

### Class nl.tudelft.simulation.dsol.animation.gis.map.MapImage extends Object implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### backgroundColor

    Color backgroundColor

background color.

#### size

    Dimension size

image size.

### Class nl.tudelft.simulation.dsol.animation.gis.map.StaticAttribute extends AbstractAttribute implements Serializable

serialVersionUID:
  20201015L

### Serialized Fields

#### angle

    double angle

the static angle.

#### value

    String value

the static string value.